Bug 59866 - [patch] math/units: Unbreak on -CURRENT (nmu)
Summary: [patch] math/units: Unbreak on -CURRENT (nmu)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-01 10:30 UTC by stolz
Modified: 2003-12-03 19:49 UTC (History)
1 user (show)

See Also:


Attachments
patch-units.c (329 bytes, text/plain)
2003-12-01 10:30 UTC, stolz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description stolz 2003-12-01 10:30:18 UTC
Fix gcc33-issue; cpp is prying into invalid code inside of #if 0.

cc:maintainer. Please consider changing mastersite to
http://www.cam.cornell.edu/~adrian/units.html where more recent
versions are available!

Tested on: -STABLE, -CURRENT

Fix: [Ab]use C++-style comments for offending section.

Add new patch-file: files/patch-units.c
How-To-Repeat: http://bento.freebsd.org/errorlogs/i386-5-latest/units-1.80.log
Comment 1 jharris 2003-12-01 23:28:58 UTC
On Mon, Dec 01, 2003 at 11:20:49AM +0100, Volker Stolz wrote:
 
>>Number:         59866
>>Category:       ports
>>Synopsis:       [patch] math/units: Unbreak on -CURRENT (nmu)


>>Release:        FreeBSD 4.9-RC i386


>>Environment:
> System: FreeBSD menelaos.informatik.rwth-aachen.de 4.9-RC FreeBSD 4.9-RC #10: Tue Oct 7 12:32:25 CEST 2003 root@menelaos.informatik.rwth-aachen.de:/usr/obj/usr/src/sys/MENELAOS i386

 
 
>>Description:
> Fix gcc33-issue; cpp is prying into invalid code inside of #if 0.


Then it is severely broken.  However, your patch doesn't seem to
harm anything, so I hereby approve it iff it is necessary.
 
> cc:maintainer. Please consider changing mastersite to
> http://www.cam.cornell.edu/~adrian/units.html where more recent
> versions are available!


Alpha versions, which are better suited for a -devel spinoff
of the current port.

> Tested on: -STABLE, -CURRENT


>>How-To-Repeat:
> http://bento.freebsd.org/errorlogs/i386-5-latest/units-1.80.log


No, bento has a newer version of readline.  Adrian (author, BCC'd),
can you look into making the next release of units also work with
the newest readline library?  Thanks.

-- 
Jason Harris          | NIC:  JH329, PGP:  This _is_ PGP-signed, isn't it?
jharris@widomaker.com | web:  http://keyserver.kjsl.com/~jharris/
Comment 2 radian 2003-12-02 01:03:03 UTC
> >>Number:         59866
> >>Category:       ports
> >>Synopsis:       [patch] math/units: Unbreak on -CURRENT (nmu)
> 
> >>Release:        FreeBSD 4.9-RC i386
> 
> >>Environment:
> > System: FreeBSD menelaos.informatik.rwth-aachen.de 4.9-RC FreeBSD 4.9-RC =
> #10: Tue Oct 7 12:32:25 CEST 2003 root@menelaos.informatik.rwth-aachen.de:/=
> usr/obj/usr/src/sys/MENELAOS i386
> =20
> =20
> >>Description:
> > Fix gcc33-issue; cpp is prying into invalid code inside of #if 0.
> 
> Then it is severely broken.  However, your patch doesn't seem to
> harm anything, so I hereby approve it iff it is necessary.

I have deleted the offending material from my development version
because of this issue (and it wasn't a big deal to delete it).  

> No, bento has a newer version of readline.  Adrian (author, BCC'd),
> can you look into making the next release of units also work with
> the newest readline library?  Thanks.

I'll look into this.  I'm getting ready to issue a new release as soon
as I have some time, actually.  (No telling how soon that will
actually be, though.)
Comment 3 Pav Lucistnik freebsd_committer 2003-12-03 19:49:41 UTC
State Changed
From-To: open->closed

Fix committed, thanks!